
@rem Andreas M. Boehm, 2007
@rem ab@andibohem.de
@rem
@rem script to convert PS to PNG
@rem useful, to convert grafix from any Windows program via 'print to file'
@rem in PNG at full printer resolution
@rem

@echo off

if %GSC%/==/ set GSC=gswin32c
if %GS%/==/ set GS=gswin32

set GSP=C:\Programme\gs\gs8.54\

if %1%/==/ goto error

set fn=%1%

set res=%2%
if %res%/==/ set res=300

set pform=%3%
if %pform%/==/ set pform=a4

set orient1=%4%
if %orient1%/==/ set orient1=true

@rem C:\Programme\gs\gs8.54\bin\gswin32.exe "-IC:\Programme\gs\gs8.54\lib;C:\Programme\gs\fonts;C:\Programme\gs\gs8.54\Resource"

echo %fn%

%GSP%bin\%GSC% "-IC:\Programme\gs\gs8.54\lib;C:\Programme\gs\fonts;C:\Programme\gs\gs8.54\Resource" -SDEVICE=png16m -dSAFER -dNOPAUSE -dBATCH -sPAPERSIZE=%pform% -dNORANGEPAGESIZE -sOutputFile=%fn%_%%d.png -r%res% -dORIENT1=%orient1% %fn%

goto exit

:error
echo "file missing"
goto exit

:exit

@rem
@rem Other raster file formats and devices
@rem
@rem       bit     Plain bits, monochrome
@rem       bitrgb  Plain bits, RGB
@rem       bitcmyk  Plain bits, CMYK
@rem       bmpmono Monochrome MS Windows .BMP file format
@rem       bmpgray 8-bit gray .BMP file format
@rem       bmpsep1 Separated 1-bit CMYK .BMP file format, primarily for testing
@rem       bmpsep8 Separated 8-bit CMYK .BMP file format, primarily for testing
@rem       bmp16   4-bit (EGA/VGA) .BMP file format
@rem       bmp256  8-bit (256-color) .BMP file format
@rem       bmp16m  24-bit .BMP file format
@rem       bmp32b  32-bit pseudo-.BMP file format
@rem       cgmmono  Monochrome (black-and-white) CGM -- LOW LEVEL OUTPUT ONLY
@rem       cgm8    8-bit (256-color) CGM -- DITTO
@rem       cgm24   24-bit color CGM -- DITTO
@rem       jpeg    JPEG format, RGB output
@rem       jpeggray  JPEG format, gray output
@rem       miff24  ImageMagick MIFF format, 24-bit direct color, RLE compressed
@rem       pcxmono PCX file format, monochrome (1-bit black and white)
@rem       pcxgray PCX file format, 8-bit gray scale
@rem       pcx16   PCX file format, 4-bit planar (EGA/VGA) color
@rem       pcx256  PCX file format, 8-bit chunky color
@rem       pcx24b  PCX file format, 24-bit color (3 8-bit planes)
@rem       pcxcmyk PCX file format, 4-bit chunky CMYK color
@rem       pbm     Portable Bitmap (plain format)
@rem       pbmraw  Portable Bitmap (raw format)
@rem       pgm     Portable Graymap (plain format)
@rem       pgmraw  Portable Graymap (raw format)
@rem       pgnm    Portable Graymap (plain format), optimizing to PBM if possible
@rem       pgnmraw Portable Graymap (raw format), optimizing to PBM if possible
@rem       pnm     Portable Pixmap (plain format) (RGB), optimizing to PGM or PBM
@rem                if possible
@rem       pnmraw  Portable Pixmap (raw format) (RGB), optimizing to PGM or PBM
@rem                if possible
@rem       ppm     Portable Pixmap (plain format) (RGB)
@rem       ppmraw  Portable Pixmap (raw format) (RGB)
@rem       pkm     Portable inKmap (plain format) (4-bit CMYK => RGB)
@rem       pkmraw  Portable inKmap (raw format) (4-bit CMYK => RGB)
@rem       pksm    Portable Separated map (plain format) (4-bit CMYK => 4 pages)
@rem       pksmraw Portable Separated map (raw format) (4-bit CMYK => 4 pages)
@rem       plan9bm  Plan 9 bitmap format
@rem       pngmono Monochrome Portable Network Graphics (PNG)
@rem       pnggray 8-bit gray Portable Network Graphics (PNG)
@rem       png16   4-bit color Portable Network Graphics (PNG)
@rem       png256  8-bit color Portable Network Graphics (PNG)
@rem       png16m  24-bit color Portable Network Graphics (PNG)
@rem       psmono  PostScript (Level 1) monochrome image
@rem       psgray  PostScript (Level 1) 8-bit gray image
@rem       psrgb   PostScript (Level 2) 24-bit color image
@rem       tiff12nc  TIFF 12-bit RGB, no compression
@rem       tiff24nc  TIFF 24-bit RGB, no compression (NeXT standard format)
@rem       tifflzw  TIFF LZW (tag = 5) (monochrome)
@rem       tiffpack  TIFF PackBits (tag = 32773) (monochrome)
